# Overview

 Mersenne prime is a prime of the form 2P-1. The first Mersenne primes are 3, 7, 31, 127 (corresponding to P = 2, 3, 5, 7). There are only 48 known Mersenne primes, and the 13 largest prime numbers in the world are all Mersenne primes.

This subordinate Docker image includes the statically built, 64-bit Linux binary “mprime” which will consume considerable CPU and Memory, searching for the next Mersenne prime number.

See http://www.mersenne.org/ for more details!

# Usage

juju deploy anyservice
juju deploy mprime
juju add-relation mprime anyservice

# Configuration

If you have an account at http://www.mersenne.org, you can configure this charm to use it.

# Contact

There are no bugs in this charm.  Ever.

## Upstream Project Name

- http://www.mersenne.org
- https://registry.hub.docker.com/u/kirkland/mprime/
